{{ ansible_managed | comment }}
log_format  upstream_time  '$remote_addr - $remote_user [$time_local] "$request" $status $body_bytes_sent "$http_referer" "$http_user_agent" "$http_x_forwarded_for" $upstream_response_time $request_length $request_time';
server {
    listen 80;
    access_log  /var/log/nginx/bingo.log  upstream_time;
    server_name {{ nginx_domain }};
    location / {
        proxy_pass http://app/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }

    location /long_dummy {
        proxy_cache bingo_cache;

        proxy_cache_key "long_dummy";

        proxy_pass http://app/long_dummy;

        proxy_cache_valid 200 302 45s;
        proxy_cache_valid 404      1m;

        proxy_cache_use_stale error timeout updating http_500 http_502 http_503 http_504;
        proxy_cache_background_update on;
    }
}

server {
    listen              443 ssl;
    access_log  /var/log/nginx/bingo.log  upstream_time;
    server_name         {{ nginx_domain }};
    ssl_certificate     {{ nginx_acme.certs_dir }}/{{ nginx_domain }}.crt;
    ssl_certificate_key {{ nginx_acme.keys_dir }}/{{ nginx_domain }}.pem;
    ssl_protocols       TLSv1 TLSv1.1 TLSv1.2 TLSv1.3;
    ssl_ciphers         HIGH:!aNULL:!MD5;
    
    location / {
        proxy_pass http://app/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }

    location /long_dummy {
        proxy_cache bingo_cache;

        proxy_cache_key "long_dummy";

        proxy_pass http://app/long_dummy;

        proxy_cache_valid 200 302 45s;
        proxy_cache_valid 404      1m;

        proxy_cache_use_stale error timeout updating http_500 http_502 http_503 http_504;
        proxy_cache_background_update on;
    }
}
